diff --git a/changelog b/changelog
index e080aa2..dad2dfe 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20071230 tpd src/input/summation.input update tests with new mathml output
 20071229 acr src/algebra/mathml.spad fix sum ambiguity bug in mathml (7057)
 20071229 tpd src/hyper/bookvol11 add testpage for summation mathml (7057)
 20071229 tpd src/input/Makefile add summation regression test (7057)
diff --git a/src/input/summation.input.pamphlet b/src/input/summation.input.pamphlet
new file mode 100644
index 0000000..78b7aa7
--- /dev/null
+++ b/src/input/summation.input.pamphlet
@@ -0,0 +1,103 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input summation.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+The output of the sum and summation functions is ambiguous.
+The mathml.spad code has been changed to fix this but the
+problem still remains in the ascii output.
+This is bug 7057: summation is ambiguous.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool summation.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 5
+summation(i^2,i=a..b)^(d-c)
+--R
+--R         b      d - c
+--R        --+    2
+--R   (1)  >     i
+--R        --+
+--R        i= a
+--R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
+--R<mrow><msup><mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi></mrow><mo>=</mo><mrow><mi>a</mi></mrow></mrow></mrow><mrow><mi>b</mi></mrow></munderover><mrow><msup><mrow><mi>i</mi></mrow><mrow><mn>2</mn></mrow></msup></mrow></mrow><mo>)</mo></mrow><mrow><mrow><mo>(</mo><mi>d</mi><mo>-</mo><mi>c</mi><mo>)</mo></mrow></mrow></msup></mrow>
+--R</math>
+--R
+--R                                                     Type: Expression Integer
+--E 1
+--S 2 of 5
+summation(i^2^(d-c),i=a..b)
+--R
+--R         b      d - c
+--R        --+    2
+--R   (2)  >     i
+--R        --+
+--R        i= a
+--R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
+--R<mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi></mrow><mo>=</mo><mrow><mi>a</mi></mrow></mrow></mrow><mrow><mi>b</mi></mrow></munderover><mrow><msup><mrow><mi>i</mi></mrow><mrow><mrow><msup><mrow><mn>2</mn></mrow><mrow><mrow><mo>(</mo><mi>d</mi><mo>-</mo><mi>c</mi><mo>)</mo></mrow></mrow></msup></mrow></mrow></msup></mrow></mrow>
+--R</math>
+--R
+--R                                                     Type: Expression Integer
+--E 2
+--S 3 of 5
+sum(operator(f) (i)+1,i=1..n)
+--R
+--R         n
+--R        --+
+--R   (3)  >     f(i) + 1
+--R        --+
+--R        i= 1
+--R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
+--R<mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi></mrow><mo>=</mo><mrow><mn>1</mn></mrow></mrow></mrow><mrow><mi>n</mi></mrow></munderover><mo>(</mo><mrow><mrow><mo><mi>f</mi></mo><mo>(</mo><mrow><mi>i</mi></mrow><mo>)</mo></mrow><mo>+</mo><mn>1</mn></mrow><mo>)</mo></mrow>
+--R</math>
+--R
+--R                                                     Type: Expression Integer
+--E 3
+--S 4 of 5
+sum(operator(f) (i),i=1..n)+1
+--R
+--R         n
+--R        --+
+--R   (4)  >     f(i) + 1
+--R        --+
+--R        i= 1
+--R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
+--R<mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi></mrow><mo>=</mo><mrow><mn>1</mn></mrow></mrow></mrow><mrow><mi>n</mi></mrow></munderover><mrow><mo><mi>f</mi></mo><mo>(</mo><mrow><mi>i</mi></mrow><mo>)</mo></mrow></mrow><mo>)</mo><mo>+</mo><mn>1</mn></mrow>
+--R</math>
+--R
+--R                                                     Type: Expression Integer
+--E 4
+--S 5 of 5
+sum(operator(f) (i)+1,i=1..n)^3
+--R
+--R         n            3
+--R        --+
+--R   (5)  >     f(i) + 1
+--R        --+
+--R        i= 1
+--R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
+--R<mrow><msup><mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi></mrow><mo>=</mo><mrow><mn>1</mn></mrow></mrow></mrow><mrow><mi>n</mi></mrow></munderover><mo>(</mo><mrow><mrow><mo><mi>f</mi></mo><mo>(</mo><mrow><mi>i</mi></mrow><mo>)</mo></mrow><mo>+</mo><mn>1</mn></mrow><mo>)</mo></mrow><mo>)</mo></mrow><mrow><mn>3</mn></mrow></msup></mrow>
+--R</math>
+--R
+--R                                                     Type: Expression Integer
+--E 5
+)spool 
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
+
+
